#include "NetTool.h"

NetTool::NetTool (char *applocation)
	: BApplication ( "application/x-vnd.cpr-nettool" )
{
	BRect		aRect;
	
	aRect.Set (0+X_WINDOW_OFFSET, 0+Y_WINDOW_OFFSET, 375+X_WINDOW_OFFSET, 400+Y_WINDOW_OFFSET+MENU_BAR_HEIGHT);
	appWindow = new NetWindow (aRect, applocation);
	appWindow->SetSizeLimits (300, 1600, 335+MENU_BAR_HEIGHT, 1200);
	appWindow->AddShortcut ('s', 0, new BMessage (SCAN_BUTTON_MSG));
	appWindow->AddShortcut ('h', 0, new BMessage (DNS_BUTTON_MSG));
	appWindow->AddShortcut ('p', 0, new BMessage (PING_BUTTON_MSG));
	appWindow->Show ();
}

void NetTool::MessageReceived (BMessage *message)
{
	
	switch (message->what) {
		case NEW_PREFS_MSG:
		case HOST_NOT_FOUND_MSG:
		case PORTFOUND_MSG:
		case THREAD_EXIT:
		case PINGDATA_MSG:
		case PINGTHREAD_EXIT:
		case SCAN_BUTTON_MSG:
		case DNS_BUTTON_MSG:
			appWindow->PostMessage (message);
			break;
		default:
			BApplication::MessageReceived (message);
	}
}

int main (int argc, char **argv)
{
	NetTool	myApplication(argv[0]);
	
	myApplication.Run ();
	
	return (0);
}