#ifndef PREFSWINDOW_H
#define PREFSWINDOW_H

class CSlider : public BSlider {
public:
					CSlider ( BRect frame, const char *name, const char *label, BMessage *message, uint32 min, uint32 max, thumb_style style );
	virtual void	DrawSlider ();
	BStringView		*fStringView;	

};

class PrefsWindow : public BWindow {
public:
					PrefsWindow (BRect frame, int num_pings, int ping_size, int start_port, int end_port, bool pre_ping, bool udp_scan);
	virtual	void	MessageReceived (BMessage *message);

private:
	BStringView		*fNumPingStringView;	
	CSlider			*fNumPingSlider;
	BTextControl	*fPingSizeTextField;
	BTextControl	*fStartPortTextField;
	BTextControl	*fEndPortTextField;
	BCheckBox		*fPrePingCheckBox;
	BCheckBox		*fUDPCheckBox;

	int				num_pings, ping_size;
	int				start_port, end_port;
};


#endif

