#ifndef NETTOOL_H
#define NETTOOL_H

#include <Window.h>
#include <InterfaceKit.h>
#include <Application.h>
#include <SupportKit.h>
#include <TranslationKit.h>
#include <NetKit.h>
#include <NetworkKit.h>
#include <StorageKit.h>

#include <stdlib.h>

#include "NetWindow.h"
#include "PrefsWindow.h"

#define MENU_BAR_HEIGHT		18.0

#define MENU_QUIT_MSG		'quit'
#define MENU_ABOUT_MSG		'abou'
#define MENU_PREFS_MSG		'pref'
#define TEXT_FIELD_MSG		'shit'
#define DNS_BUTTON_MSG		'dns'
#define PING_BUTTON_MSG		'ping'
#define SCAN_BUTTON_MSG		'scan'
#define NEW_PREFS_MSG		'nprf'

#define NUMPING_CHG_MSG			'npng'
#define PINGSIZE_CHG_MSG		'spng'
#define PORTSTART_CHG_MSG		'sprt'
#define PORTEND_CHG_MSG			'eprt'
#define PSPING_CHECKBOX_MSG		'pscb'
#define PSUDP_CHECKBOX_MSG		'psus'

#define PREFSOK_BUTTON_MSG		'prok'
#define PREFSCANCEL_BUTTON_MSG	'prca'
#define PREFSDEFAULTS_BUTTON_MSG	'prde'

#define	X_WINDOW_OFFSET		200
#define	Y_WINDOW_OFFSET		200

#define ABOUTMENUTEXT		"NetLookup v1.0\nWritten by Chris Roberts\n\nSend comments to:\nbemisfit@yahoo.com"

/* #define TIKI_PREFS			"/boot/home/config/settings/Tiki" */
#define NUMPINGS_KEYWORD	"numberofpings"
#define PINGSIZE_KEYWORD	"pingdatasize"
#define STARTPORT_KEYWORD	"startport"
#define	ENDPORT_KEYWORD		"endport"
#define	PREPING_KEYWORD		"prescanping"
#define	UDPSCAN_KEYWORD		"udpscan"
#define WINSIZEX_KEYWORD	"winx"
#define	WINSIZEY_KEYWORD	"winy"
#define	WINLOCX_KEYWORD		"winh"
#define	WINLOCY_KEYWORD		"winv"

#define DEF_NUMPINGS		4
#define DEF_PINGSIZE		48
#define	DEF_STARTPORT		1
#define	DEF_ENDPORT			1024
#define	DEF_PREPING			true
#define	DEF_UDPSCAN			false
#define	DEF_WINDOWX			200
#define	DEF_WINDOWY			200
#define	DEF_WINDOWW			375
#define	DEF_WINDOWH			420

#define MAX_PINGSIZE		32382

class NetTool : public BApplication {

public:
		NetTool (char *applocation);
	virtual	void	MessageReceived (BMessage *message);
private:
	NetWindow		*appWindow;
};

double CPing ( char *returntxt, char *target, int ping_size );
#endif

